class CreateTargetFiles < ActiveRecord::Migration
  def change
    create_table :target_files do |t|
      t.string   :sti_type
      t.string   :state
      t.integer  :size
      t.integer  :number_of_records
      t.datetime :start_time
      t.datetime :end_time
      t.string   :original_file

      t.timestamps null: false
    end

    create_table :dunlop_target_file_downloads do |t|
      t.integer :user_id

      t.timestamps null: false
    end
  end
end
